## org.apache.fop.viewer
Class UserMessage

    java.lang.Object
      |
      +--org.apache.fop.viewer.UserMessage

public class UserMessage
extends java.lang.Object

Klasse `UserMessage` ist ein utility zum Abfragen oder zum Informieren des Benutzers.
Eine Meldung besteht aus dem Identifikator (Suchschlüssel im Meldungspool), einem Dialogtitel, einem Buttonset und dem Meldungstext mit eventuellen Platzhaltern für die Parameter.

Version:
  18.03.1999
Author:
  S. Gorkhover

Field Summary
`static int` `CANCEL` Möglicher Rückgabewert @see ButtonDialog
`static int` `NO` Möglicher Rückgabewert @see ButtonDialog
`static int` `STYLE_NOBUTTON` Wert für Setzten keines Buttons
`static int` `STYLE_Y` Wert für Setzten von nur Ja-Button.
`static int` `STYLE_Y_N` Wert für Setzten von Ja- und Nein-Buttons.
`static int` `STYLE_Y_N_C` Wert für Setzten von Ja-, Nein-und Abbruch Buttons.
`static int` `YES` Möglicher Rückgabewert @see ButtonDialog

Constructor Summary
`UserMessage()`

Method Summary
`static void` `setTranslator(Translator aRes)`
`static int` `show(java.lang.Exception anException, java.awt.Frame aFrame)`
`static int` `show(java.lang.String messageId)`
`static int` `show(java.lang.String messageId, java.lang.Exception anException)`
`static int` `show(java.lang.String messageId, java.lang.Exception anException, java.awt.Frame aFrame)`
`static int` `show(java.lang.String messageId, java.awt.Frame parentFrame)`
`static int` `show(java.lang.String messageId, java.lang.String parameter)`
`static int` `show(java.lang.String messageId, java.lang.String[] parameterList)`
`static int` `show(java.lang.String messageId, java.lang.String[] parameterList, java.lang.Exception anException)`
`static int` `show(java.lang.String messageId, java.lang.String[] parameterList, java.lang.Exception anException, java.awt.Frame parentFrame)` Öffnet das Dialogfenster mit der Übersetzung der per Suchschlüssel übergebenen Meldung mit eingesetzten Parametern.
`static int` `show(java.lang.String messageId, java.lang.String[] parameterList, java.awt.Frame parentFrame)`
`static int` `show(java.lang.String messageId, java.lang.String parameter, java.awt.Frame parentFrame)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STYLE_NOBUTTON

    public static final int STYLE_NOBUTTON

  Wert für Setzten keines Buttons

### STYLE_Y

    public static final int STYLE_Y

  Wert für Setzten von nur Ja-Button.

### STYLE_Y_N

    public static final int STYLE_Y_N

  Wert für Setzten von Ja- und Nein-Buttons.

### STYLE_Y_N_C

    public static final int STYLE_Y_N_C

  Wert für Setzten von Ja-, Nein-und Abbruch Buttons.

### YES

    public static final int YES

  Möglicher Rückgabewert @see ButtonDialog

### NO

    public static final int NO

  Möglicher Rückgabewert @see ButtonDialog

### CANCEL

    public static final int CANCEL

  Möglicher Rückgabewert @see ButtonDialog

Constructor Detail

### UserMessage

    public UserMessage()

Method Detail

### setTranslator

    public static void setTranslator(Translator aRes)

### show

    public static int show(java.lang.String messageId,
                           java.lang.String[] parameterList,
                           java.lang.Exception anException,
                           java.awt.Frame parentFrame)

  Öffnet das Dialogfenster mit der Übersetzung der per Suchschlüssel übergebenen Meldung mit eingesetzten Parametern. Für die Übersetzung der Parameter trägt die aufrufende Stelle die Sorge. Der Dialog ist modal zum Frame `frame`.
  Parameters:
    `
    ` -
    - textID - Suchschlüssel der Meldung im Meldungspool,
    - param - Array der in die Meldung einzusetztenden Parameter,
    - frame - das Fenster, zu dem der Dialog modal ist.
  Returns:
    - -1 wenn keine Rückgabe möglich ist oder Dialog NICHT MODAL ist.
    - ButtonDialog.YES = 2
    - ButtonDialog.NO = 4
    - ButtonDialog.CANCEL = 8
    - Wird das Dialog-Fenster ohne Buttonklick geschlossen (Kreuzchen oben rechts), so ist die Rückgabe gleich ButtonDialog.CANCEL.

### show

    public static int show(java.lang.String messageId,
                           java.lang.String[] parameterList,
                           java.lang.Exception anException)

### show

    public static int show(java.lang.String messageId,
                           java.lang.String[] parameterList,
                           java.awt.Frame parentFrame)

### show

    public static int show(java.lang.String messageId,
                           java.lang.String[] parameterList)

### show

    public static int show(java.lang.String messageId,
                           java.lang.String parameter,
                           java.awt.Frame parentFrame)

### show

    public static int show(java.lang.String messageId,
                           java.lang.String parameter)

### show

    public static int show(java.lang.String messageId,
                           java.awt.Frame parentFrame)

### show

    public static int show(java.lang.String messageId)

### show

    public static int show(java.lang.String messageId,
                           java.lang.Exception anException,
                           java.awt.Frame aFrame)

### show

    public static int show(java.lang.String messageId,
                           java.lang.Exception anException)

### show

    public static int show(java.lang.Exception anException,
                           java.awt.Frame aFrame)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.